Loading...
Searching...
No Matches
AtomEntry Class Reference

## Public Member Functions

| __construct ( $id, $title, $published, $updated)
| setId ( $new_value)

## Private Attributes

| $id
| $title
| $updated
| $nodes

## Detailed Description

Definition at line 41 of file AtomFeed.php.

## Constructor & Destructor Documentation

## __construct()

AtomEntry::__construct | ( |  | $id,
|  |  | $title,
|  |  | $published,
|  |  | $updated )

Definition at line 61 of file AtomFeed.php.

## Member Function Documentation

## setId()

AtomEntry::setId | ( |  | $new_value | ) |

Definition at line 65 of file AtomFeed.php.

## Member Data Documentation

## $id

AtomEntry::$id

private

<entry xmlns:xhtml="http://www.w3.org/1999/xhtml"> <title type="html">Woohoo! Time to Par-tay! (1/1)</title>

Have a microparty. All the best parties are monthly! <published>2008-10-25T11:07:49+13:00</published> <updated>2010-12-27T06:49:16+13:00</updated> <id>http://mycaldav/feed.php/user1/home/MICROPARTY-77C6-4FB7-BDD3-6882E2F1BE74.ics#UID:MICROPARTY-77C6-4FB7-BDD3-6882E2F1BE74</id> <content xmlns:xhtml="http://www.w3.org/1999/xhtml" type="xhtml"> <xhtml:div xmlns:xhtml="http://www.w3.org/1999/xhtml"><xhtml:strong>Time:</xhtml:strong> 2008-11-21 16:00:00<xhtml:br/><xhtml:br/><xhtml:strong>Description</xhtml:strong>:<xhtml:br/>Have a microparty. All the best parties are monthly!</xhtml:div>

</content> </entry>

Definition at line 56 of file AtomFeed.php.

## $nodes

AtomEntry::$nodes

private

Definition at line 59 of file AtomFeed.php.

## $title

AtomEntry::$title

private

Definition at line 57 of file AtomFeed.php.

## $updated

AtomEntry::$updated

private

Definition at line 58 of file AtomFeed.php.

The documentation for this class was generated from the following file:

- inc/AtomFeed.php